|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QMetaMethod Class Reference
[QtCore module]

The QMetaMethod class provides meta-data about a member function. More...

     #include <QMetaMethod>

- List of all members, including inherited members

### Public Types

- enum Access { Private, Protected, Public }
- enum MethodType { Method, Signal, Slot }

### Public Functions

- Access access () const
- MethodType methodType () const
- QList<QByteArray> parameterNames () const
- QList<QByteArray> parameterTypes () const
- const char * signature () const
- const char * tag () const
- const char * typeName () const

## Detailed Description

The QMetaMethod class provides meta-data about a member function.

A QMetaMethod has a methodType(), a signature(), a list of parameterTypes() and parameterNames(), a return typeName(), a tag(), and an access() specifier.

See also QMetaObject, QMetaEnum, QMetaProperty, and Qt's Property System.

## Member Type Documentation

### enum QMetaMethod::Access

This enum describes the access level of a method, following the conventions used in C++.

Constant | Value
--- | ---
`QMetaMethod::Private` | `0`
`QMetaMethod::Protected` | `1`
`QMetaMethod::Public` | `2`

### enum QMetaMethod::MethodType

Constant | Value | Description
--- | --- | ---
`QMetaMethod::Method` | `0` | The function is a plain member function.
`QMetaMethod::Signal` | `1` | The function is a signal.
`QMetaMethod::Slot` | `2` | The function is a slot.

## Member Function Documentation

### Access QMetaMethod::access () const

Returns the access specification of this method (private, protected, or public).

Signals are always protected, meaning that you can only emit them from the class or from a subclass.

See also methodType().

### MethodType QMetaMethod::methodType () const

Returns the type of this method (signal, slot, or method).

See also access().

### QList<QByteArray> QMetaMethod::parameterNames () const

Returns a list of parameter names.

See also parameterTypes() and signature().

### QList<QByteArray> QMetaMethod::parameterTypes () const

Returns a list of parameter types.

See also parameterNames() and signature().

### const char * QMetaMethod::signature () const

Returns the signature of this method (e.g., `setValue(double)`).

See also parameterTypes() and parameterNames().

### const char * QMetaMethod::tag () const

Returns the tag associated with this method.

Tags are special macros recognized by `moc` that make it possible to add extra information about a method. For the moment, `moc` doesn't support any special tags.

### const char * QMetaMethod::typeName () const

Returns the return type of this method, or an empty string if the return type is void.